org.apache.uima.resource

## Class ResourceProcessException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.uima.InternationalizedException
      - - org.apache.uima.UIMAException
        - - org.apache.uima.resource.ResourceProcessException

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    AnalysisEngineProcessException

      public class ResourceProcessException
      extends UIMAException

  Thrown to indicate that a `Resource` has encountered a problem during its processing.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `REQUIRED_FEATURE_STRUCTURE_MISSING_FROM_CAS` Message key for a standard UIMA exception message: This component requires a FeatureStructure of type {0}, which is not present in the CAS.
    `static String` | `RESOURCE_DATA_NOT_VALID` Message key for a standard UIMA exception message: Configuration setting for {0} is absent

    - ### Fields inherited from class org.apache.uima.UIMAException

      `STANDARD_MESSAGE_CATALOG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ResourceProcessException()` Creates a new exception with a null message.
    `ResourceProcessException(String aMessageKey, Object[] aArguments)` Creates a new exception with a message from the `UIMAException.STANDARD_MESSAGE_CATALOG`.
    `ResourceProcessException(String aMessageKey, Object[] aArguments, Throwable aCause)` Creates a new exception with the specified cause and a message from the `UIMAException.STANDARD_MESSAGE_CATALOG`.
    `ResourceProcessException(String aResourceBundleName, String aMessageKey, Object[] aArguments)` Creates a new exception with a the specified message.
    `ResourceProcessException(String aResourceBundleName, String aMessageKey, Object[] aArguments, Throwable aCause)` Creates a new exception with the specified message and cause.
    `ResourceProcessException(Throwable aCause)` Creates a new exception with the specified cause and a null message.

  - ### Method Summary

    - ### Methods inherited from class org.apache.uima.InternationalizedException

      `getArguments, getCause, getLocalizedMessage, getLocalizedMessage, getMessage, getMessageKey, getResourceBundleName, hasMessageKey, initCause, setResourceBundle`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getStackTrace, getSuppressed, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### RESOURCE_DATA_NOT_VALID

          public static final String RESOURCE_DATA_NOT_VALID

      Message key for a standard UIMA exception message: Configuration setting for {0} is absent
      See Also:
        Constant Field Values

    - #### REQUIRED_FEATURE_STRUCTURE_MISSING_FROM_CAS

          public static final String REQUIRED_FEATURE_STRUCTURE_MISSING_FROM_CAS

      Message key for a standard UIMA exception message: This component requires a FeatureStructure of type {0}, which is not present in the CAS.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ResourceProcessException

          public ResourceProcessException()

      Creates a new exception with a null message.

    - #### ResourceProcessException

          public ResourceProcessException(Throwable aCause)

      Creates a new exception with the specified cause and a null message.
      Parameters:
        `aCause` - the original exception that caused this exception to be thrown, if any

    - #### ResourceProcessException

          public ResourceProcessException(String aResourceBundleName,
                                          String aMessageKey,
                                          Object[] aArguments)

      Creates a new exception with a the specified message.
      Parameters:
        `aResourceBundleName` - the base name of the resource bundle in which the message for this exception is located.
        `aMessageKey` - an identifier that maps to the message for this exception. The message may contain placeholders for arguments as defined by the `MessageFormat` class.
        `aArguments` - The arguments to the message. `null` may be used if the message has no arguments.

    - #### ResourceProcessException

          public ResourceProcessException(String aResourceBundleName,
                                          String aMessageKey,
                                          Object[] aArguments,
                                          Throwable aCause)

      Creates a new exception with the specified message and cause.
      Parameters:
        `aResourceBundleName` - the base name of the resource bundle in which the message for this exception is located.
        `aMessageKey` - an identifier that maps to the message for this exception. The message may contain placeholders for arguments as defined by the `MessageFormat` class.
        `aArguments` - The arguments to the message. `null` may be used if the message has no arguments.
        `aCause` - the original exception that caused this exception to be thrown, if any

    - #### ResourceProcessException

          public ResourceProcessException(String aMessageKey,
                                          Object[] aArguments)

      Creates a new exception with a message from the `UIMAException.STANDARD_MESSAGE_CATALOG`.
      Parameters:
        `aMessageKey` - an identifier that maps to the message for this exception. The message may contain placeholders for arguments as defined by the `MessageFormat` class.
        `aArguments` - The arguments to the message. `null` may be used if the message has no arguments.

    - #### ResourceProcessException

          public ResourceProcessException(String aMessageKey,
                                          Object[] aArguments,
                                          Throwable aCause)

      Creates a new exception with the specified cause and a message from the `UIMAException.STANDARD_MESSAGE_CATALOG`.
      Parameters:
        `aMessageKey` - an identifier that maps to the message for this exception. The message may contain placeholders for arguments as defined by the `MessageFormat` class.
        `aArguments` - The arguments to the message. `null` may be used if the message has no arguments.
        `aCause` - the original exception that caused this exception to be thrown, if any

Copyright © 2006–2019 The Apache Software Foundation. All rights reserved.